> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a new group.

| Scope | Required |
| - | - |
| `groups:write` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-10-29.yaml post /groups
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-10-29.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-10-29.everglades
  x-git-commit:
    sha: fa872feb1c97431ace4e4f5636eea0856b5d73f3
    url: >-
      https://github.com/mirurobotics/openapi/commit/fa872feb1c97431ace4e4f5636eea0856b5d73f3
    message: >-
      feat(platform)!: name calibration components, roles and aspects by slug
      (#387)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-10-29T05:41:56.762337+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /groups:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    post:
      tags:
        - Groups
      summary: Create
      description: Create a new group.
      operationId: createGroup
      parameters:
        - $ref: '#/components/parameters/group_expansions'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGroupRequest'
      responses:
        '200':
          description: Successfully created the group.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-10-29.everglades
      description: The API version the client was built against.
    group_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on the group resource.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/GroupExpansion'
        example:
          - parent
  schemas:
    CreateGroupRequest:
      title: Create Group Request
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: The name of the group.
          example: Robots
        parent_id:
          type: string
          nullable: true
          description: >-
            ID of the parent group. Omit or set to null to create a top-level
            group.
          example: grp_456
    Group:
      title: Group
      allOf:
        - $ref: '#/components/schemas/BaseGroup'
        - type: object
          properties:
            parent:
              allOf:
                - $ref: '#/components/schemas/Group'
              nullable: true
              description: >-
                The parent group. Null for top-level groups. Expand using
                `expand=parent` in the query string.
      example:
        object: group
        id: grp_789
        name: line-3
        parent_id: grp_456
        created_at: '2026-01-01T00:00:00Z'
        updated_at: '2026-01-01T00:00:00Z'
    GroupExpansion:
      type: string
      enum:
        - parent
      x-enum-varnames:
        - GROUP_EXPAND_PARENT
    BaseGroup:
      title: Base Group
      type: object
      required:
        - object
        - id
        - name
        - parent_id
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - group
          example: group
          x-stainless-const: true
          description: The object type, which is always `group`.
        id:
          type: string
          example: grp_123
          description: ID of the group.
        name:
          type: string
          example: production
          description: Name of the group.
        parent_id:
          type: string
          nullable: true
          example: grp_456
          description: ID of the parent group. Null for top-level groups.
        created_at:
          type: string
          format: date-time
          example: '2026-01-01T00:00:00Z'
          description: Timestamp of when the group was created.
        updated_at:
          type: string
          format: date-time
          example: '2026-01-01T00:00:00Z'
          description: Timestamp of when the group was last updated.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.